﻿
using Spire.Xls;
using Spire.Xls.Converter;
using Spire.Pdf;

namespace _389NameRanges
{
    class Program
    {
        static void Main(string[] args)
        {
            Workbook workbook = new Workbook();
            workbook.LoadFromFile(@"..\..\test.xlsx", ExcelVersion.Version2010);
            Worksheet sheet1 = workbook.Worksheets[0];

            CellRange r1 = sheet1.Range["$A$2:$A$6"];
            sheet1.Names.Add("Range1", r1);
            sheet1.Range["Range1"].Value2 = 1;

            CellRange r2 = sheet1.Range["$B$2:$B$6"];
            sheet1.Names.Add("Range2", r2);
            sheet1.Range["Range2"].Value2 = 2;

            CellRange r3 = sheet1.Range["$C$2:$C$6"];
            sheet1.Names.Add("Range3", r3);
            sheet1.Range["Range3"].Value2 = 3;

            Worksheet sheet2 = workbook.Worksheets[1];

            sheet1.Range["A8"].Formula = "SUM(sheet1!$A$2:$A$6,sheet2!$C$11)";

            sheet1.Range["B8"].Formula = "SUM(sheet1!$B$2:$B$6,sheet2!$D$11)";

            sheet1.Range["C8"].Formula = "SUM(sheet1!$C$2:$C$6,sheet2!$D$11)";

            workbook.CalculateAllValue();


            PdfConverter pdfConverter = new PdfConverter(workbook);
            PdfDocument pdfDocument = new PdfDocument();
            PdfConverterSettings settings = new PdfConverterSettings();
            settings.EmbedFonts = true;
            settings.TemplateDocument = pdfDocument;
            pdfDocument = pdfConverter.Convert(settings);

            pdfDocument.SaveToFile(@"..\..\sample.pdf");
            pdfDocument.Close();
            System.Diagnostics.Process.Start(@"..\..\sample.pdf");

        }
    }
}
